Subject: Re: [PATCH v2] ROSE: prevent heap corruption with bad facilities

From: Ralf Baechle <[email-masked]>
Date: Tue, 29 Mar 2011 18:26:50 +0200

On Tue, Mar 29, 2011 at 02:16:19AM +0100, Ben Hutchings wrote:

> On Sun, 2011-03-27 at 17:59 -0700, David Miller wrote:
> > From: Ben Hutchings <[email-masked]>
> > Date: Sun, 20 Mar 2011 16:48:05 +0000
> > 
> > > Subject: [PATCH] rose: Add length checks to CALL_REQUEST parsing
> > > 
> > > Define some constant offsets for CALL_REQUEST based on the description
> > > at <http://www.techfest.com/networking/wan/x25plp.htm> and the
> > > definition of ROSE as using 10-digit (5-byte) addresses.  Use them
> > > consistently.  Validate all implicit and explicit facilities lengths.
> > > Validate the address length byte rather than either trusting or
> > > assuming its value.
> > > 
> > > Signed-off-by: Ben Hutchings <[email-masked]>
> > 
> > Applied.
> 
> Ralf, I would really appreciate it if you could test this soon...

Actual testing is a problem atm.  But I've reviewed the patche and it appears
ok.

Acked-by: Ralf Baechle <[email-masked]>

  Ralf